Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF » Unusable EMF plugins in release 2018-09(org.eclipse.emf.ecore.xmi and org.eclipse.emf.ecore cannot be used)
Unusable EMF plugins in release 2018-09 [message #1797713] Mon, 05 November 2018 14:46 Go to next message
Yves BERNARD is currently offline Yves BERNARDFriend
Messages: 73
Registered: July 2014
Member
I just upgrade to version Photon 2018-09 this morning. At least the two following plugins from that release are in error in all my manifest files that use them while they were fine with the previous Photon release. The packages they include are not found by the import directive in the source code. However I checked that they are actually located in the convenient directory.

Any clue?


Yves
Re: Unusable EMF plugins in release 2018-09 [message #1797717 is a reply to message #1797713] Mon, 05 November 2018 15:16 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6461
Registered: July 2009
Senior Member
Hi Yves

The EMF plugins are fine for me. Are you sure that it isn't the usual problem that sometimes a couple of cleans/restarts are needed to flush out stale declarations?

Regards

Ed Willink
Re: Unusable EMF plugins in release 2018-09 [message #1797720 is a reply to message #1797717] Mon, 05 November 2018 15:46 Go to previous messageGo to next message
Yves BERNARD is currently offline Yves BERNARDFriend
Messages: 73
Registered: July 2014
Member
Hi Ed,

Thanks for your reply. That what I had in mind at the beginning, and so I did restart it and clean the projects more than once but no change was visible. That's why I ask for help here.

But now you confirm to me that those file are OK, the issue is obviously on my side and I will investigate further even if I've no idea what the hell may happen here! :-)


Yves
Re: Unusable EMF plugins in release 2018-09 [message #1797721 is a reply to message #1797720] Mon, 05 November 2018 16:01 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6461
Registered: July 2009
Senior Member
Hi

Java versions are becoming increasingly significant and troublesome as module assignment changes. I recommend using Java 8 to avoid excitements.

If you were upgrading rather than installing, it is possible that some existing plugin is locking in an old version and that you have overlooked/ P2 did not provide a helpful diagnostic. I recommend a clean installation.

Regards

Ed Willink
Re: Unusable EMF plugins in release 2018-09 [message #1797722 is a reply to message #1797721] Mon, 05 November 2018 16:09 Go to previous messageGo to next message
Yves BERNARD is currently offline Yves BERNARDFriend
Messages: 73
Registered: July 2014
Member
Yes, when I said "upgraded" it may be misleading since I actually did a full reinstallation (i.e. using a new and empty directory). Also I use a Java 8 JVM, as you recommend.


Yves
Re: Unusable EMF plugins in release 2018-09 [message #1797754 is a reply to message #1797722] Tue, 06 November 2018 07:54 Go to previous messageGo to next message
Yves BERNARD is currently offline Yves BERNARDFriend
Messages: 73
Registered: July 2014
Member
Fixed!

I was using a "clean" install but not a "clean" workspace... Creating a new one and reimporting my projects in it fixed the issue: the plugins are found and the projects now compile properly. :-)


Yves
Re: Unusable EMF plugins in release 2018-09 [message #1797756 is a reply to message #1797722] Tue, 06 November 2018 07:56 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30474
Registered: July 2009
Senior Member
Do you set up a dedicated start platform or are you relying on the running IDE as the target platform? Even the Eclipse IDE itself uses these bundles so there can't be anything fundamentally wrong with them or Eclipse wouldn't even run...
Re: Unusable EMF plugins in release 2018-09 [message #1797758 is a reply to message #1797756] Tue, 06 November 2018 08:10 Go to previous message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6461
Registered: July 2009
Senior Member
Hi Yves

I have been using the same workspace for four years now, re-using across numerous milestone releases. It is quite some time since I had a nightmare failure to start due to a bad workspace save.

It is possible that some unusual plugin that you use is interacting badly with a memento. You might want to keep an eye out and perhaps investigate to help cure the problem before it becomes a regular irritant.

Regards

Ed Willink

Previous Topic:[CDO] How delete all revisions of object?
Next Topic:[XCore] Type definition of array of generic.
Goto Forum:
  


Current Time: Tue Sep 24 08:39:56 GMT 2019

Powered by FUDForum. Page generated in 0.02466 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top